Survey.StylesManager.applyTheme("modern");
var resultId = 'a15eee7a-9418-4eb4-9671-2009c8ff6b24';
var surveySendResult = function(s, options) {
if(options.success) {
s.getResult(resultId, 'langs');
}
};
var surveyGetResult = function(s, options) {
if(options.success) {
showChart(options.dataList);
}
};
function showChart(chartDataSource) {
document.getElementById("chartContainer").style.height = "500px";
$("#chartContainer").dxPieChart({
dataSource: chartDataSource,
series: {
argumentField: 'name',
valueField: 'value'
}
});
}
var json = {
surveyId: '5af48e08-a0a5-44a5-83f4-1c90e8e98de1',
surveyPostId: '3ce10f8b-2d8a-4ca2-a110-2994b9e697a1'
};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(result) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(result.data, null, 3);
});
$("#surveyElement").Survey({
model: survey ,onSendResult: surveySendResult
,onGetResult: surveyGetResult
});
<!DOCTYPE html>
<html lang="en">
<head>
<title>Get Survey Result after sending results, jQuery Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/jquery"></script>
<script src="/DevBuilds/survey-jquery/survey.jquery.min.js"></script>
<link href="/DevBuilds/survey-knockout/modern.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
<script src="https://cdn3.devexpress.com/jslib/17.2.5/js/dx.all.js"></script>
</head>
<body>
<div id="chartContainer"></div> <div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/javascript" src="./index.js"></script>
</body>
</html>
The current survey results could be accessible via the direct link. See Survey Results

Survey.StylesManager.applyTheme("modern");
var resultId = 'a15eee7a-9418-4eb4-9671-2009c8ff6b24';
var surveySendResult = function(s, options) {
if(options.success) {
s.getResult(resultId, 'langs');
}
};
var surveyGetResult = function(s, options) {
if(options.success) {
showChart(options.dataList);
}
};
function showChart(chartDataSource) {
document.getElementById("chartContainer").style.height = "500px";
$("#chartContainer").dxPieChart({
dataSource: chartDataSource,
series: {
argumentField: 'name',
valueField: 'value'
}
});
}
var json = {
surveyId: '5af48e08-a0a5-44a5-83f4-1c90e8e98de1',
surveyPostId: '3ce10f8b-2d8a-4ca2-a110-2994b9e697a1'
};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(result) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(result.data, null, 3);
});
ReactDOM.render(<Survey.Survey model={survey} onSendResult={surveySendResult} onGetResult={surveyGetResult} />, document.getElementById("surveyElement"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Get Survey Result after sending results, Reactjs Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/babel-polyfill/7.6.0/polyfill.js"></script>
<script src="https://unpkg.com/react@16.5.0/umd/react.development.js"></script>
<script src="https://unpkg.com/react-dom@16.5.0/umd/react-dom.development.js"></script>
<script src="https://unpkg.com/@babel/standalone@7.2.5/babel.min.js"></script>
<script src="/DevBuilds/survey-react/survey.react.min.js"></script>
<link href="/DevBuilds/survey-knockout/modern.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
<script src="https://cdn3.devexpress.com/jslib/17.2.5/js/dx.all.js"></script>
</head>
<body>
<div id="chartContainer"></div> <div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/babel" src="./index.js"></script>
</body>
</html>
The current survey results could be accessible via the direct link. See Survey Results